summaryrefslogtreecommitdiffstats
path: root/patches
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2008-04-29 15:18:36 +0000
committerMarc Kleine-Budde <mkl@pengutronix.de>2008-04-29 15:18:36 +0000
commita6396688da72925f4cc6a8fb21ecfbc21ed3710b (patch)
treebc9f5f936e8de301fdaa977848cfdc6210c25aa5 /patches
parente92edd24dd8248a61139cb9793b95ecaae97e75b (diff)
downloadOSELAS.Toolchain-a6396688da72925f4cc6a8fb21ecfbc21ed3710b.tar.gz
OSELAS.Toolchain-a6396688da72925f4cc6a8fb21ecfbc21ed3710b.tar.xz
git-svn-id: https://svn.pengutronix.de/svn/oselas/toolchain/branches/OSELAS.Toolchain-mkl@6261 f8d472c7-5700-0410-ac5a-87979cec3adf
Diffstat (limited to 'patches')
-rw-r--r--patches/binutils-2.18/generic/gentoo/07_all_binutils-2.18-windres.patch13
-rw-r--r--patches/binutils-2.18/generic/gentoo/18_all_binutils-makeinfo-version.patch35
-rw-r--r--patches/binutils-2.18/generic/gentoo/42_all_012_check_ldrunpath_length.patch47
-rw-r--r--patches/binutils-2.18/generic/series3
4 files changed, 98 insertions, 0 deletions
diff --git a/patches/binutils-2.18/generic/gentoo/07_all_binutils-2.18-windres.patch b/patches/binutils-2.18/generic/gentoo/07_all_binutils-2.18-windres.patch
new file mode 100644
index 0000000..5c2fbcd
--- /dev/null
+++ b/patches/binutils-2.18/generic/gentoo/07_all_binutils-2.18-windres.patch
@@ -0,0 +1,13 @@
+http://sourceware.org/bugzilla/show_bug.cgi?id=4987
+
+--- binutils-2.18/binutils/resrc.c
++++ binutils-2.18/binutils/resrc.c
+@@ -437,7 +437,7 @@ read_rc_file (const char *filename, cons
+ const char *fnquotes = (filename_need_quotes (filename) ? "\"" : "");
+
+ /* Setup the default resource import path taken from input file. */
+- if (strchr (filename, '/') != NULL || strchr (filename, '\\') != NULL)
++ if (filename != NULL && (strchr (filename, '/') != NULL || strchr (filename, '\\') != NULL))
+ {
+ char *e, *c;
+
diff --git a/patches/binutils-2.18/generic/gentoo/18_all_binutils-makeinfo-version.patch b/patches/binutils-2.18/generic/gentoo/18_all_binutils-makeinfo-version.patch
new file mode 100644
index 0000000..6f3ce83
--- /dev/null
+++ b/patches/binutils-2.18/generic/gentoo/18_all_binutils-makeinfo-version.patch
@@ -0,0 +1,35 @@
+http://bugs.gentoo.org/195074
+
+2007-09-15 Alan Modra <amodra@bigpond.net.au>
+
+ * configure.ac: Correct makeinfo version check.
+ * configure: Regenerate.
+
+Index: configure.ac
+===================================================================
+RCS file: /cvs/src/src/configure.ac,v
+retrieving revision 1.25
+retrieving revision 1.26
+diff -u -p -r1.25 -r1.26
+--- configure.ac 14 Sep 2007 14:51:36 -0000 1.25
++++ configure.ac 14 Sep 2007 15:47:01 -0000 1.26
+@@ -2462,7 +2462,7 @@ changequote(,)
+ # For an installed makeinfo, we require it to be from texinfo 4.4 or
+ # higher, else we use the "missing" dummy.
+ if ${MAKEINFO} --version \
+- | egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[4-9]|[5-9])' >/dev/null 2>&1; then
++ | egrep 'texinfo[^0-9]*(4\.([4-9]|[1-9][0-9])|[5-9]|[1-9][0-9])' >/dev/null 2>&1; then
+ :
+ else
+ MAKEINFO="$MISSING makeinfo"
+--- configure
++++ configure
+@@ -2462,7 +2462,7 @@ changequote(,)
+ # For an installed makeinfo, we require it to be from texinfo 4.4 or
+ # higher, else we use the "missing" dummy.
+ if ${MAKEINFO} --version \
+- | egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[4-9]|[5-9])' >/dev/null 2>&1; then
++ | egrep 'texinfo[^0-9]*(4\.([4-9]|[1-9][0-9])|[5-9]|[1-9][0-9])' >/dev/null 2>&1; then
+ :
+ else
+ MAKEINFO="$MISSING makeinfo"
diff --git a/patches/binutils-2.18/generic/gentoo/42_all_012_check_ldrunpath_length.patch b/patches/binutils-2.18/generic/gentoo/42_all_012_check_ldrunpath_length.patch
new file mode 100644
index 0000000..498651a
--- /dev/null
+++ b/patches/binutils-2.18/generic/gentoo/42_all_012_check_ldrunpath_length.patch
@@ -0,0 +1,47 @@
+#!/bin/sh -e
+## 012_check_ldrunpath_length.dpatch by Chris Chimelis <chris@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Only generate an RPATH entry if LD_RUN_PATH is not empty, for
+## DP: cases where -rpath isn't specified. (#151024)
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/james/debian/packages/binutils/new/binutils-2.15/ld/emultempl/elf32.em binutils-2.15/ld/emultempl/elf32.em
+--- /home/james/debian/packages/binutils/new/binutils-2.15/ld/emultempl/elf32.em 2004-05-21 23:12:58.000000000 +0100
++++ binutils-2.15/ld/emultempl/elf32.em 2004-05-21 23:12:59.000000000 +0100
+@@ -692,6 +692,8 @@
+ && command_line.rpath == NULL)
+ {
+ lib_path = (const char *) getenv ("LD_RUN_PATH");
++ if ((lib_path) && (strlen (lib_path) == 0))
++ lib_path = NULL;
+ if (gld${EMULATION_NAME}_search_needed (lib_path, &n,
+ force))
+ break;
+@@ -871,6 +873,8 @@
+ rpath = command_line.rpath;
+ if (rpath == NULL)
+ rpath = (const char *) getenv ("LD_RUN_PATH");
++ if ((rpath) && (strlen (rpath) == 0))
++ rpath = NULL;
+ if (! (bfd_elf_size_dynamic_sections
+ (output_bfd, command_line.soname, rpath,
+ command_line.filter_shlib,
diff --git a/patches/binutils-2.18/generic/series b/patches/binutils-2.18/generic/series
new file mode 100644
index 0000000..9ab8102
--- /dev/null
+++ b/patches/binutils-2.18/generic/series
@@ -0,0 +1,3 @@
+gentoo/07_all_binutils-2.18-windres.patch
+gentoo/18_all_binutils-makeinfo-version.patch
+gentoo/42_all_012_check_ldrunpath_length.patch